VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "CaptureScreenModalHandler"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
' ---------------------------------------------------------------------
'   CaptureView illustrates how to automate MicroStation view capture
'   using VBA
' ---------------------------------------------------------------------
'   Notice:
'   Sample code provided by LA Solutions Ltd.
'   This code is supplied with no claim for fitness for
'   purpose and is not supported.  You may freely copy this code
'   provided this notice is retained in full.
' ---------------------------------------------------------------------
'   For more VBA tips visit our web site
'   http://www.la-solutions.co.uk/content/Publications.htm
' ---------------------------------------------------------------------
'   This class handles MicroStation's 'Capture Screen Output' dialog
'   and is used by the subroutine CaptureView in module CaptureView
' ---------------------------------------------------------------------
Private m_strFilePath As String

Implements IModalDialogEvents
' ---------------------------------------------------------------------
'   Dialog Closed event handler does nothing
' ---------------------------------------------------------------------
Private Sub IModalDialogEvents_OnDialogClosed(ByVal DialogBoxName As String, ByVal DialogResult As MsdDialogBoxResult)

End Sub
' ---------------------------------------------------------------------
'   FilePath Property
' ---------------------------------------------------------------------
Public Property Let FilePath(s As String)
    m_strFilePath = s
End Property
' ---------------------------------------------------------------------
'   Dialog Opened event handler
' ---------------------------------------------------------------------
Private Sub IModalDialogEvents_OnDialogOpened(ByVal DialogBoxName As String, DialogResult As MsdDialogBoxResult)

    If DialogBoxName = "Capture Screen Output" Then

    Const Separator     As String = "\"
    Dim path            As String, _
        file            As String
    Dim pos             As Integer
    
    '   Split file specification into name and path
    pos = InStrRev(m_strFilePath, Separator)
    If (0 < pos) Then
        path = Left(m_strFilePath, pos)
        file = Mid(m_strFilePath, pos + 1)
    End If
    
    '   Start a command
        CadInputQueue.SendCommand "MDL COMMAND MGDSHOOK,fileList_setFilterCmd *.jpg"

        CadInputQueue.SendCommand "MDL COMMAND MGDSHOOK,fileList_setDirectoryCmd " & path

        CadInputQueue.SendCommand "MDL COMMAND MGDSHOOK,fileList_setFileNameCmd " & file

    '   Remove the following line to let the user close the dialog box.
        DialogResult = msdDialogBoxResultOK

    End If  ' Capture Screen Output

End Sub

