Attribute VB_Name = "CaptureView"
Option Explicit
' ---------------------------------------------------------------------
'   CaptureView illustrates how to automate MicroStation view capture
'   using VBA
' ---------------------------------------------------------------------
'   Notice:
'   Sample code provided by LA Solutions Ltd.
'   This code is supplied with no claim for fitness for
'   purpose and is not supported.  You may freely copy this code
'   provided this notice is retained in full.
' ---------------------------------------------------------------------
'   For more VBA tips visit our web site
'   http://www.la-solutions.co.uk/content/Publications.htm
' ---------------------------------------------------------------------
'   This module references a class module CaptureScreenModalHandler
'   that Implements IModalDialogEvents
' ---------------------------------------------------------------------
'   MicroStation keyin:
'   vba run CaptureView.Main
' ---------------------------------------------------------------------
Sub Main()
    '  I've hard-coded the view number and file name here
    '  to illustrate the call syntax
    CaptureView 1, "D:\temp\msview1.jpg"
End Sub
' ---------------------------------------------------------------------
'   CaptureView automates the process of the CAPTURE VIEW command
' ---------------------------------------------------------------------
Sub CaptureView(viewNum As Integer, fileSpec As String)
'   Send a keyin that can be a command string
    CadInputQueue.SendKeyin "null"

    Dim modalHandler As New CaptureScreenModalHandler
    AddModalDialogEventsHandler modalHandler
    modalHandler.FilePath = fileSpec
'   The following statement opens modal dialog "Capture Screen Output"
    CadInputQueue.SendKeyin "capture view"
    CadInputQueue.SendKeyin "selview " & CStr(viewNum)

    RemoveModalDialogEventsHandler modalHandler
    CommandState.StartDefaultCommand
End Sub
' ---------------------------------------------------------------------

